Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSceneRoom Class Reference

`#include <deScene.hpp>`

Inheritance diagram for IdeSceneRoom:

[legend]
Collaboration diagram for IdeSceneRoom:

[legend]
List of all members.

## Public Member Functions
virtual void | SetRoomListPtr (void *ptr)=0
virtual void * | GetRoomListPtr ()=0
virtual long | Traverse (IdeSceneGraph::deSceneTraversal *Params)=0
virtual deBoolean | TestCollision (const IdeCollision::deCollideParams &Params, IdeCollision *Collision)=0
virtual long | GetPassNum ()=0
virtual void | GetAABB (deVec3d &Min, deVec3d &Max)=0
virtual void | SetContents (DWORD contents)=0
virtual DWORD | GetContents ()=0
virtual deBoolean | AddSceneObject (IdeSceneObject *obj)=0
| add an IdeSceneObject to the scene room
virtual deBoolean | RemoveSceneObject (IdeSceneObject *obj)=0
| remove an IdeSceneObject from the scene room
virtual deBoolean | AddPortal (IdePortal *portal)=0
| add a portal to the scene room
## Protected Member Functions
virtual | ~IdeSceneRoom ()

## Detailed Description

a base class for dealing with Scene Rooms, which can contain objects and link to other Scene Rooms. Related functions: IdeSceneRoom_CreateRoom, IdeSceneRoom_GetWOInterfaceID.

## Constructor & Destructor Documentation

virtual IdeSceneRoom::~IdeSceneRoom | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeSceneRoom::AddPortal | ( | IdePortal * | portal | ) | `[pure virtual]`

| add a portal to the scene room Implemented in deSceneRoom.

virtual deBoolean IdeSceneRoom::AddSceneObject | ( | IdeSceneObject * | obj | ) | `[pure virtual]`

| add an IdeSceneObject to the scene room Implemented in deSceneRoom.

virtual void IdeSceneRoom::GetAABB | ( | deVec3d & | Min,
|  | deVec3d & | Max
| ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual DWORD IdeSceneRoom::GetContents | ( |  | ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual long IdeSceneRoom::GetPassNum | ( |  | ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual void* IdeSceneRoom::GetRoomListPtr | ( |  | ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual deBoolean IdeSceneRoom::RemoveSceneObject | ( | IdeSceneObject * | obj | ) | `[pure virtual]`

| remove an IdeSceneObject from the scene room Implemented in deSceneRoom.

virtual void IdeSceneRoom::SetContents | ( | DWORD | contents | ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual void IdeSceneRoom::SetRoomListPtr | ( | void * | ptr | ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual deBoolean IdeSceneRoom::TestCollision | ( | const IdeCollision::deCollideParams & | Params,
|  | IdeCollision * | Collision
| ) | `[pure virtual]`

| Implemented in deSceneRoom.

virtual long IdeSceneRoom::Traverse | ( | IdeSceneGraph::deSceneTraversal * | Params | ) | `[pure virtual]`

| Implemented in deSceneRoom.

The documentation for this class was generated from the following file:

- deScene.hpp